.relative-container {
    position: relative;
    width: 100%;
    height: 100%;
}

#navbar {
    width: 100%;
    height: 80px;
    background: #3949ab;
}

#navbar-btn {
    position: absolute;
    top: 12px;
    left: 20px;
    font-size: 36px;
}

#navbar-logo {
    position: absolute;
    top: 10px;
    height: 60px;
    width: 60px;
    left: 10px;
    background: #fafafa;
    border-radius: 10px;
    text-align: center;
}

#navbar-logo i {
    margin-top: 14px;
    font-size: 36px;
    color: #fafafadd;
}

#navbar-actions {
    position: absolute;
    top: 12px;
    height: 80px;
    line-height: 80px;
    right: 16px;
    font-weight: bold;
    font-size: 20px;
    color: #fafafadd;
    display: none;
    user-select: none;
}
#navbar-call-sign {
    position: absolute;
    top: 12px;
    height: 80px;
    line-height: 80px;
    right: 16px;
    font-weight: bold;
    font-size: 20px;
    color: #fafafadd;
}

#navbar-signal {
    position: absolute;
    top: 4px;
    right: 14px;
    font-weight: bold;
    font-size: 20px;
    color: #fafafadd;
}


#bottom-bar {
    position: absolute;
    left: 0;
    bottom: 0;
    width: 100%;
    height: 60px;
    display: none;
}

.bottom-bar-btn {
    position: absolute;
    bottom: 0;
    width: 20%;
    height: 60px;
    text-align: center;
    line-height: 60px;
    font-size: 28px;
    color: #fafafadd;
}

.notification {
    position: absolute;
    font-size: 20px;
    color: #fafafa;
    top: 4px;
    right: 4px;
    opacity: 0;
    transition: 400ms;
}


#protocol-btn {
    left: 0;
}
#delegations-btn {
    left: 20%;
}
#chat-btn {
    left: 40%;
}
#pictures-btn {
    left: 60%;
}
#videochat-btn {
    left: 80%;
}

.protocol-btn-bg {
    background: #3949ab;
    border: 1px solid #3949ab;
}
.delegations-btn-bg {
    background: #ffb300;
    border: 1px solid #ffb300;
}
.chat-btn-bg {
    background: #7cb342;
    border: 1px solid #7cb342;
}
.pictures-btn-bg {
    background: #00acc1;
    border: 1px solid #00acc1;
}
.videochat-btn-bg {
    background: #f4511e;
    border: 1px solid #f4511e;
}

#new-mission-btn {
    position: fixed;
    left: 10px;
    bottom: -5px;
    width: calc(100% - 20px);
}

.mission-view {
    position: absolute;
    top: 90px;
    left: 0;
    width: 100%;
    height: calc(100% - 160px);
    padding: 0px 20px 0px 20px;
    overflow-y: auto;
    display: none;
}

#protocol-view {
    padding-right: 60px;
}

#add-vitals-btn {
    position: absolute;
    top: -80px;
    right: 0px;
    font-size: 28px;
}

#add-vitals-dialog label {
    width: calc(50% - 24px);
    margin: 10px;
    display: inline-block;
}

#protocol-view textarea {
    min-height: 160px;
}

#protocol-nav {
    position: absolute;
    bottom: 70px;
    right: 0;
    display: none;
}
#protocol-nav div:first-child {
    border-top-left-radius: 4px;
}
#protocol-nav div:last-child {
    border-bottom-left-radius: 4px;
}
#protocol-nav div {
    width: 48px;
    height: 48px;
    background: #141e26;
    color: #fafafadd;
    transition: 400ms;
    text-align: center;
}
#protocol-nav div.active {
    background: #3949ab;
}
#protocol-nav div i {
    font-size: 24px;
    margin-top: 12px;
}

#chat-view {
    height: calc(100% - 240px);
}

.missions-overview-container {
    min-height: 40px;
}

.missions-overview-patient {
    position: absolute;
    left: 0px;
    top: -24px;
    line-height: 1.2;
}

.missions-overview-nida {
    position: absolute;
    top: -34px;
    right: 0;
    font-size: 32px;
    color: #e53935;
    display: none;
}

.missions-overview-recall {
    position: absolute;
    top: -32px;
    right: -8px;
    font-size: 32px;
    color: #3949ab;
    display: none;
}

.missions-overview-status {
    position: absolute;
    right: -5px;
    top: 34px;
    width: 80px;
}
.missions-overview-status-heading {
    position: absolute;
    right: 86px;
    top: 40px;
}

.missions-overview-priority {
    position: absolute;
    left: 60px;
    top: 34px;
}
.missions-overview-priority-heading {
    position: absolute;
    left: 0px;
    top: 40px;
}


#chat-box {
    position: fixed;
    bottom: 60px;
    left: 0;
    width: 100%;
    height: 100px;
    display: none;
}
#chat-message {
    position: absolute;
    height: 80px;
    left: 10px;
    top: 10px;
    width: calc(100% - 110px);
    border: 2px solid #7cb342;
}
#chat-send-btn {
    position: absolute;
    top: 10px;
    right: 10px;
    width: 80px;
    height: 80px;
    font-size: 32px;
    padding: 12px 0px 10px 18px;
    background: #7cb342;
    border: 1px solid #7cb342;
    color: #fafafadd;
    border-radius: 4px;
}

.chat-message {
    margin: 20px 0 20px 0;
    padding: 40px 10px 30px 10px;
    border-radius: 4px;
    background: #141e26;
}
.chat-message-rescueteam {
    width: calc(100% - 40px);
    margin: 20px 0 20px 40px;
}
.chat-message-telemedic {
    width: calc(100% - 40px);
}
.chat-sender {
    position: absolute;
    top: -34px;
    left: 0;
    font-size: 16px;
    font-weight: bold;
}
.chat-sender-rescueteam {
    color: #7cb342;
}
.chat-sender-telemedic {
    color: #ffb300;
}
.chat-time {
    position: absolute;
    bottom: -24px;
    right: 0;
    font-size: 12px;
    font-weight: bold;
    text-align: right;
}


#picture-upload-box {
    position: fixed;
    bottom: 60px;
    right: 0;
    width: 100px;
    height: 100px;
    display: none;
}
#picture-upload-box-block {
    position: fixed;
    bottom: 60px;
    right: 0;
    width: 100px;
    height: 100px;
    display: none;
}
#picture-upload-box label {
    position: absolute;
    top: 10px;
    right: 10px;
    width: 80px;
    height: 80px;
    font-size: 42px;
    padding: 9px 0px 10px 18px;
    background: #00acc1;
    border: 1px solid #00acc1;
    color: #fafafadd;
    border-radius: 4px;
}
#picture-upload-btn {
    display: none;
}
.pictures-gallery-item {
    display: inline-block;
    margin: 10px;
    border-radius: 4px;
    width: calc(50vw - 30px);
    height: calc(50vw - 30px);
    background-size: cover;
    border: 2px solid #00acc1;
}


.delegation-item-open {
    background: #141e26;
    border-radius: 4px;
    margin: 20px 0 20px 0;
    padding: 50px 10px 90px 10px;
    color: #fafafadd;
}
.delegation-item-accepted {
    background: #141e26;
    border-radius: 4px;
    margin: 20px 0 20px 0;
    padding: 50px 10px 20px 10px;
    color: #fafafadd;
}
.delegation-item-rejected {
    background: #141e26;
    border-radius: 4px;
    margin: 20px 0 20px 0;
    padding: 50px 10px 20px 10px;
    color: #fafafadd;
}
.delegation-status-icon {
    position: absolute;
    top: -48px;
    right: 0;
    font-size: 24px;
}
.delegation-category {
    position: absolute;
    top: -40px;
    left: 0;
    font-weight: bold;
    font-size: 18px;
}
.delegation-cancel-btn {
    position: absolute;
    bottom: -90px;
    left: 0;
    width: 160px;
}
.delegation-accept-btn {
    position: absolute;
    bottom: -90px;
    right: 0;
    width: 160px;
}


.priorities-display div {
    display: inline-block;
    width: 33%;
    text-align: center;
    height: 48px;
    line-height: 48px;
    background: #18232c;
    color: #fafafadd;
    margin-top: -20px;
}

#priority-display-normal-btn {
    border-top-left-radius: 4px;
    border-bottom-left-radius: 4px;
}

#priority-display-immediately-btn {
    border-top-right-radius: 4px;
    border-bottom-right-radius: 4px;
}


.status-aktiv {
    color: #43a047;
}
.status-warten {
    color: #fdd835;
}
.status-inaktiv {
    color: #e53935;
}
.priority-normal {
    color: #43a047;
}
.priority-normal-bg {
    background: #43a047 !important;
}
.priority-urgent {
    color: #fdd835;
}
.priority-urgent-bg {
    background: #fdd835 !important;
}
.priority-immediately {
    color: #e53935;
}
.priority-immediately-bg {
    background: #e53935 !important;
}

.accept-btn {
    background: #43a047;
    border: 1px solid #43a047;
    color: #1e1e1e;
    font-weight: bold;
}
.cancel-btn {
    background: #e53935;
    border: 1px solid #e53935;
    color: #1e1e1e;
    font-weight: bold;
}
